#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	3
%define		pname	lin_tape
Summary:	IBM Tape SCSI Device Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	3.0.20
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL v2/LGPL
Group:		Base/Kernel
Source0:	%{pname}-%{version}.tgz
# Source0-md5:	e9780677ade7969498032f10611a3bb6
Source1:	%{pname}.fixlist
Patch0:		use-module-dir.patch
Patch1:		clean-ifdefs.patch
Patch2:		linux-4.9.patch
Patch3:		linux-4.10.patch
Patch4:		linux-4.11.patch
Patch5:		linux-4.12.patch
Patch6:		linux-4.13.patch
Patch7:		kernel-4.14.patch
# System Storage, Tape systems, Tape drivers and software, Tape device drivers (Linux)
URL:		http://www.ibm.com/support/fixcentral/
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IBM Tape Device Driver, lin_tape, product is a device driver that
provides attachment for the IBM TotalStorage and System Storage tape
devices to Linux compatible platforms.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-scsi-lin_tape\
Summary:	IBM Tape SCSI Device Driver for Linux\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-scsi-lin_tape\
The IBM Tape Device Driver is a device driver that provides attachment\
for the IBM TotalStorage and System Storage tape devices to Linux\
compatible platforms.\
\
%post	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-scsi-lin_tape\
%depmod %{_kernel_ver}\
\
%files -n kernel%{_alt_kernel}-scsi-lin_tape\
%defattr(644,root,root,755)\
%doc lin_tape.fixlist lin_tape.ReadMe\
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/lin_tape.ko*\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m lin_tape\
%install_kernel_modules -D installed -m lin_tape -d kernel/drivers/scsi\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%undos Makefile
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

install -p %{SOURCE1} .

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Wed Jan 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lin_tape.git;a=log;h=auto/th/lin_tape-3.0.20-3

* Sat Nov 18 2017 Jan Rękorajski <baggins@pld-linux.org> ba88ce5
- fix building with kernbel 4.14
- rel 3

* Fri Nov 17 2017 Jan Rękorajski <baggins@pld-linux.org> 0710576
- first part of kernel 4.14 fixes

* Sat Sep 16 2017 Jan Rękorajski <baggins@pld-linux.org> e63c79d
- fix building with kernel 4.13
- rel 2

* Tue Aug 01 2017 Jan Rękorajski <baggins@pld-linux.org> 9752ce8
- updated to 3.0.20

* Tue May 09 2017 Jan Rękorajski <baggins@pld-linux.org> 1edbffc
- updated fixlist

* Tue May 09 2017 Jan Rękorajski <baggins@pld-linux.org> 997e051
- fully fixed building with kernel 4.11

* Tue May 09 2017 Jan Rękorajski <baggins@pld-linux.org> 300a759
- started update to 3.0.18

* Sat Mar 25 2017 Jan Rękorajski <baggins@pld-linux.org> 5a00831
- fix building with linux 4.10
- rel 3

* Sat Jan 21 2017 Jan Rękorajski <baggins@pld-linux.org> 6f6082f
- fix building with linux 4.9
- rel 2

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> e595de8
- drop fancy innecessary options

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> c4a7d1f
- add missing header to sgmp.c

* Sun Jun 19 2016 Jan Rękorajski <baggins@pld-linux.org> 6986ddb
- added and updated patches to make it build on non-RH anitquated kernels

* Tue Jun 07 2016 Jan Rękorajski <baggins@pld-linux.org> cb517b2
- started update to 3.0.8

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> bc5f110
- up to 2.9.4
- fixe building with linux 3.19

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> dcba2e2
- added x32 to arch mix
- rel 3

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 9cd78c5
- rel 2

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 616d29c
- updated kernel module build system

* Sun Nov 09 2014 Jan Rękorajski <baggins@pld-linux.org> f2747b6
- fix insecure permission on /proc files (build fails on 3.17)
- rel 1

* Sat Nov 08 2014 Jan Rękorajski <baggins@pld-linux.org> f22409b
- up to 2.9.1

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 43ca874
- up to 2.3.0

